Table of Contents

## Name

XvQueryBestSize - determine the optimum drawable region size

## Syntax

#include <X11/extensions/Xvlib.h>

XvQueryBestSize(dpy, port, motion, vw, vh, dw, dh, p_dw, p_dh)

Display *dpy;
XvPortID port;
Bool motion;
unsigned int vw, vh;
unsigned int dw, dh;
unsigned int *p_dw, *p_dh;

## Arguments

Specifies the display screen on which the Xv Server is to accept requests from Xv clients. If the display option is not specified, Xv uses the display screen specified by your DISPLAY environment variable. The display option has the format hostname:number. Using two colons (::) instead of one (:) indicates that DECnet is to be used for transport.

Defines the port associated with the display and adaptor for which the optimum size is to be calculated.

Specifies True if the destination size needs to support full motion, and False if the destination size need only support still images.

Specifies the size of the source video region desired.

Specifies the size of the destination drawable region desired.

Pointers to where the closest destination sizes supported by the server are returned.

## Description

## Returned Values

Returned if XvQueryBestSize(3X) completed successfully.

Returned if the Xv extension is unavailable.

Returned if XvQueryBestSize(3X) failed to allocate memory to process the request.

## Diagnostics

Generated if the requested port does not exist.

Table of Contents

- Name
- Syntax
- Arguments
- Description
- Returned Values
- Diagnostics